Package com.zfabrik.impl.hubcr

## Class RemoteClient

- java.lang.Object
- - com.zfabrik.impl.hubcr.RemoteClient

-     public class RemoteClient
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RemoteClient​(java.lang.String url, java.lang.String user, java.lang.String password, long timeout)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `download​(com.zfabrik.components.provider.util.FSCRDBComponent component, java.io.File folder)` | Download a single component's resources.
    `com.zfabrik.hubcr.RemoteComponentRepositoryDB` | `fetchDBUpdate​(java.lang.Long rev)` | Fetch a DB revision from remote.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RemoteClient

          public RemoteClient​(java.lang.String url,
                              java.lang.String user,
                              java.lang.String password,
                              long timeout)

  - ### Method Detail

    - #### download

          public void download​(com.zfabrik.components.provider.util.FSCRDBComponent component,
                               java.io.File folder)
                        throws java.io.IOException

      Download a single component's resources.

      The used URL is

      <base>/z_remotecr/download?component=<component>&<rev>

      Parameters:
        `component` -
        `folder` -
      Throws:
        `java.io.IOException`

    - #### fetchDBUpdate

          public com.zfabrik.hubcr.RemoteComponentRepositoryDB fetchDBUpdate​(java.lang.Long rev)
                                                                      throws java.lang.Exception

      Fetch a DB revision from remote. Returns `null`, if there is no more up to date revision available than the one passed in.

      The used URL is

      <base>/z_remotecr/getDB?rev=<rev>

      The remote side is expected to either deliver a serialized `RemoteComponentRepositoryDB` or a status code 304 (not modified).

      Parameters:
        `rev` - Revision requested
      Returns:
        DB instance
      Throws:
        `java.lang.Exception`